org.eclipse.rdf4j.federated.optimizer

## Class FilterOptimizer.FilterExprInsertVisitor

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<OptimizationException>
  - - org.eclipse.rdf4j.federated.optimizer.FilterOptimizer.FilterExprInsertVisitor

- All Implemented Interfaces:
    QueryModelVisitor<OptimizationException>
  Enclosing class:
    FilterOptimizer

      protected static class FilterOptimizer.FilterExprInsertVisitor
      extends AbstractQueryModelVisitor<OptimizationException>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FilterExpr` | `filterExpr`
    `protected boolean` | `isApplied`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FilterExprInsertVisitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canRemove()`
    `void` | `initialize(FilterExpr filterExpr)`
    `void` | `meetOther(QueryModelNode node)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filterExpr

          protected FilterExpr filterExpr

    - #### isApplied

          protected boolean isApplied

  - ### Constructor Detail

    - #### FilterExprInsertVisitor

          protected FilterExprInsertVisitor()

  - ### Method Detail

    - #### initialize

          public void initialize(FilterExpr filterExpr)

    - #### canRemove

          public boolean canRemove()

    - #### meetOther

          public void meetOther(QueryModelNode node)

      Specified by:
        `meetOther` in interface `QueryModelVisitor<OptimizationException>`
      Overrides:
        `meetOther` in class `AbstractQueryModelVisitor<OptimizationException>`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.